<!DOCTYPE html>

{# _datamax/api/templates/api_exchange/public_layout.html_ #}
<html lang="en">
<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.6.3/css/all.css"
          integrity="sha384-UHRtZLI+pbxtHCWp1t77Bi1L4ZtiqrqD80Kn4Z8NTSRyMA2Fd33n5dQ8lWUE00s/" crossorigin="anonymous">

    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.4.1.min.js"
            crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"
            integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
            crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"
            integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
            crossorigin="anonymous"></script>
    <script>
        $( document ).ajaxStart(function() {
            $(".loading").show();
        });

        $( document ).ajaxStop(function() {
            $(".loading").hide();
        });

        $( document ).ajaxError(function( event, request, settings ) {
            $(".modal-body").html(request.responseJSON.traceback);
            $('.modal').modal('show');
        });
    </script>
    <style>
        html{
            font-size:0.7em;
        }

        body {
          height: 100%;

          background-color: #eeeeee;
        }

        .h7 {
            font-size: 0.8rem;
        }

        .gedf-wrapper {
            margin-top: 0.97rem;
        }

        @media (min-width: 992px) {
            .gedf-main {
                padding-left: 4rem;
                padding-right: 4rem;
            }
            .gedf-card {
                margin-bottom: 2.77rem;
            }
        }

        /**Reset Bootstrap*/
        .dropdown-toggle::after {
            content: none;
            display: none;
        }

        .btn-link{
            padding: 0px;
        }

        .wall-image{
            height: 200px;
        }

        #newNotification i{
                vertical-align: top;
                font-size: 0.7em;
                display:none;
                color: #05728f;
        }

        .navbar .navbar-nav .nav-link.active{
            color: #05728f;
        }

        .list-group-item.active{
            background-color: #05728f;
        }
        .list-group-item.active div a{ color:white;}
        .list-group-item.h6{
            line-height:2.5;
        }
        .form-signin {
          width: 100%;
          max-width: 330px;
          padding: 15px;
          margin: 0 auto;
        }

    </style>
    <title>DataMax - Public</title>
</head>
<body>
<div>
    <nav class="navbar navbar-expand-lg navbar-light bg-light">
        <!-- brand -->
        <a class="navbar-brand">DataMax <br>
            <small>&ensp;</small>
        </a>
        <!-- .brand -->
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
                aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <!-- list of menu items -->
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
             <div class="ml-auto loading" style="display:none;"> <!-- custom success messages -->
                <div class="alert alert-success">Loading ... </div>
            </div>
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link"></a>
                </li>
            </ul>
        </div><!-- .list of menu items -->
    </nav>
    <br/>
    <br/>
</div>
<div class="container-fluid">
    <div class="container-fluid gedf-wrapper">
        <div class="row">
            {% block body %} {% endblock %}
        </div>
    </div>
</div>

<div class="modal" tabindex="-1" role="dialog">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Traceback</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">
        <p></p>
      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
      </div>
    </div>
  </div>
</div>

</body>

</html>